#!/bin/bash
set -o errexit
set -o errtrace
set -o nounset
set -o pipefail
declare -A XCCDF_RESULT
XCCDF_RESULT[PASS]=${XCCDF_RESULT_PASS:-101}
XCCDF_RESULT[FAIL]=${XCCDF_RESULT_FAIL:-102}
XCCDF_RESULT[ERROR]=${XCCDF_RESULT_ERROR:-103}
XCCDF_RESULT[UNKNOWN]=${XCCDF_RESULT_UNKNOWN:-104}
XCCDF_RESULT[NOT_APPLICABLE]=${XCCDF_RESULT_NOT_APPLICABLE:-105}
XCCDF_RESULT[NOT_CHECKED]=${XCCDF_RESULT_NOT_CHECKED:-106}
XCCDF_RESULT[NOT_SELECTED]=${XCCDF_RESULT_NOT_SELECTED:-107}
XCCDF_RESULT[INFORMATIONAL]=${XCCDF_RESULT_INFORMATIONAL:-108}
XCCDF_RESULT[FIXED]=${XCCDF_RESULT_FIXED:-109}
exit_with(){
  set +o xtrace
  local status=${1:-ERROR}
  local ec=${XCCDF_RESULT[${status}]:-${XCCDF_RESULT[ERROR]}}
  echo "Exiting with status ${status}(${ec})"
  exit ${ec}
}
trap 'exit_with ERROR' ERR
set -o xtrace

source functions.sh
perms_le 640 /etc/glance/glance-api-paste.ini
perms_le 640 /etc/glance/glance-api.conf
perms_le 640 /etc/glance/glance-cache.conf
perms_le 640 /etc/glance/glance-manage.conf
perms_le 640 /etc/glance/glance-registry-paste.ini
perms_le 640 /etc/glance/glance-registry.conf
perms_le 640 /etc/glance/glance-scrubber.conf
perms_le 640 /etc/glance/glance-swift-store.conf
perms_le 640 /etc/glance/policy.json
perms_le 640 /etc/glance/schema-image.json
perms_le 640 /etc/glance/schema.json


exit_with PASS
